﻿@model GarageMaster.Models.AdsSection.AdsModels.AdFilterAdminModel

@{
    ViewData["Title"] = "IndexAdmin";
}

<h1>Ads</h1>

<div class="col-md-4">
    <form asp-action="IndexAdmin" method="get">
        <div class="block">
            <span class="extremum-click"><b>Фильтр</b></span>
            <div class="extremum-slide">
                <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                <div>
                    <div class="form-group">
                        <label asp-for="AdCategoryId" class="control-label"></label>
                        <select asp-for="AdCategoryId" class="form-control" asp-items="Model.AdCategoriesSelect">
                            <option></option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label asp-for="Author" class="control-label"></label>
                        <input asp-for="Author" class="form-control" value="@Model.Author" />
                        <span asp-validation-for="Author" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="SearchKey" class="control-label"></label>
                        <input asp-for="SearchKey" class="form-control" value="@Model.SearchKey" />
                        <span asp-validation-for="SearchKey" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="DateFrom" class="control-label"></label>
                        <input asp-for="DateFrom" type="date" class="form-control" value="@Model.DateFrom" />
                        <span asp-validation-for="DateFrom" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="DateTo" class="control-label"></label>
                        <input asp-for="DateTo" type="date" class="form-control" value="@Model.DateTo" />
                        <span asp-validation-for="DateTo" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <input type="submit" value="Поиск" class="btn btn-primary" />
                    </div>
                </div>
            </div>
        </div>
    </form>
</div>

<div class="container">
    <div>
        @foreach (var item in Model.Ads)
        {
            <hr />
            <div class="ad">
                <div class="row">
                    <hr />
                    <div class="col-sm-9">
                        <h5>
                            @Html.DisplayFor(modelItem => item.Title)
                        </h5>
                        <p>@Html.DisplayNameFor(model => model.Ad.User): @Html.DisplayFor(modelItem => item.User.NickName)</p>
                        <p>@Html.DisplayNameFor(model => model.Ad.AdCategory): @Html.DisplayFor(modelItem => item.AdCategory.AdCategoryName)</p>
                        <p>@Html.DisplayNameFor(model => model.Ad.DateOfPublication): @Html.DisplayFor(modelItem => item.DateOfPublication)</p>
                        <p>@Html.DisplayNameFor(model => model.Ad.QtyPhotos): @Html.DisplayFor(modelItem => item.QtyPhotos)</p>
                    </div>
                    <div class="col-sm-2">
                        <a asp-area="Admin" asp-controller="Ads" asp-action="EditAdAdmin" asp-route-id="@item.Id">
                            <input type="submit" value="Edit" class="btn btn-primary ml-2 mt-5" />
                        </a>
                        <a asp-area="Admin" asp-controller="Ads" asp-action="DeleteAdAdmin" asp-route-id="@item.Id">
                            <input type="submit" value="Delete" class="btn btn-danger ml-2 mt-5" />
                        </a>
                    </div>
                </div>
            </div>
        }
    </div>
</div>

<div style="margin-top: 50px;">
    @if (Model.AdPageModel.HasPreviousPage)
    {
        <a asp-action="Index"
           asp-route-AdCategoryId="@Model.AdCategoryId"
           asp-route-Author="@Model.Author"
           asp-route-SearchKey="@Model.SearchKey"
           asp-route-DateFrom="@Model.DateFrom"
           asp-route-DateTo="@Model.DateTo"
           asp-route-page="@(Model.AdPageModel.PageNumber - 1)"
           class="btn btn-outline-dark btn">
            <i class="glyphicon glyphicon-chevron-left"></i>
            Previous
        </a>
    }

    <span style="margin: 20px">@Model.AdPageModel.PageNumber</span>

    @if (Model.AdPageModel.HasNextPage)
    {
        <a asp-action="Index"
           asp-route-AdCategoryId="@Model.AdCategoryId"
           asp-route-Author="@Model.Author"
           asp-route-SearchKey="@Model.SearchKey"
           asp-route-DateFrom="@Model.DateFrom"
           asp-route-DateTo="@Model.DateTo"
           asp-route-page="@(Model.AdPageModel.PageNumber + 1)"
           class="btn btn-outline-dark btn">
            <i class="glyphicon glyphicon-chevron-right"></i>
            Next
        </a>
    }
</div>


@section Scripts
{
    <partial name="_FilterScriptsPartial" />

}

<style>
    .ad {
        background-color: rgb(197, 204, 209);
    }
</style>

